Subject: bug#19161: 24.4; vc-mode reload on commit - don't jump to start of buffer

From: Stefan Monnier <[email-masked]>
Date: Thu, 11 Dec 2014 16:09:56 -0500

Version:25.1

> Surely the simplest fix is to save the current point (as a line number
> and column number), revert the file, and then put point back to where
> it was?

I installed a similar change in "master".  It doesn't preserve
line-number nor column number, but it keeps the point in the same place
in proportion to the changed text.

> In the particular case of reverting after a version control checkin
> this would give more useful behaviour.  I wouldn't advocate it for
> ordinary revert-buffer operations.

I actually did it for all revert-buffer operations.

        Stefan